<app-loading *ngIf="isLoading"></app-loading>

<nz-card class="card-header">
  <div class="action-breadcrumb-float-right">
    <button
      nz-button
      nzSize="large"
      nzType="text"
      class="mergeButton"
      [disabled]="checkNumMerge()"
      (click)="mergePropose()"
    >
      {{ 'development.proposed-unit.button.merge' | translate }}
    </button>
  </div>
  <form nz-form>
    <div nz-row [nzGutter]="[16, 16]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.formGroup"
          name="proposeType"
          [mbDataSelects]="dataCommon.formGroupList"
          mbKeyLabel="name"
          mbKeyValue="id"
          mbLabelText="{{ 'development.proposed-unit.table.formGroup' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.formGroup' | translate }}"
        >
        </mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <span class="emp-infoTitle">{{ 'development.proposed-unit.table.proposeCode' | translate }}</span>
        <nz-input-number
          nz-input
          nzPlaceHolder="{{ 'development.proposed-unit.table.proposeCode' | translate }}"
          [nzMin]="0"
          [(ngModel)]="params.proposeCode"
          name="proposeCode"
          class="proposeCode"
        ></nz-input-number>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <span class="card-header__rangeDateTitle">{{ 'development.proposed-unit.table.sentDate' | translate }}</span>
        <nz-range-picker
          [(ngModel)]="params.rangeDate"
          class="card-header__rangeDate"
          name="proposeDate"
          nzFormat="dd/MM/yyyy"
          [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
        ></nz-range-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.approve"
          name="statusApprove"
          [mbDataSelects]="dataCommon?.flowStatusApproveConfigList"
          mbKeyLabel="role"
          mbKeyValue="key"
          mbLabelText="{{ 'development.proposed-unit.table.statusApprove' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.statusApprove' | translate }}"
        ></mb-select>
      </div>
    </div>
    <div *ngIf="!isExpand">
      <div nz-row [nzGutter]="[16, 8]">
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
            [(ngModel)]="params.optionNote"
            name="optionNote"
            [mbMaxLength]="50"
            mbLabelText="{{ 'development.proposed-unit.table.contentPlan' | translate }}"
            mbPlaceholderText="{{ 'development.proposed-unit.table.contentPlan' | translate }}"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.statusPublish"
            name="statusPublish"
            [mbDataSelects]="dataCommon?.flowStatusPublishConfigList"
            mbKeyLabel="role"
            mbKeyValue="key"
            mbLabelText="{{ 'development.proposed-unit.table.statusPublish' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.statusPublish' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
            [(ngModel)]="params.employeeCode"
            name="employeeCode"
            [mbMaxLength]="20"
            mbLabelText="{{ 'development.proposed-unit.table.empCode' | translate }}"
            mbPlaceholderText="{{ 'development.proposed-unit.table.empCode' | translate }}"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
            [(ngModel)]="params.employeeName"
            name="employeeName"
            [mbMaxLength]="50"
            mbLabelText="{{ 'development.proposed-unit.table.empName' | translate }}"
            mbPlaceholderText="{{ 'development.proposed-unit.table.empName' | translate }}"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.issueLevelCode"
            name="issueLevelCode"
            [mbDataSelects]="dataCommon.issueLevelList"
            mbKeyLabel="name"
            mbKeyValue="code"
            mbLabelText="{{ 'development.promulgate.search.approvalLevel' | translate }}"
            mbPlaceholder="{{ 'development.promulgate.search.approvalLevel' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
            [(ngModel)]="params.approvalFullName"
            name="approvalFullName"
            [mbMaxLength]="50"
            mbLabelText="{{ 'development.approvement-propose.search.approvePerson' | translate }}"
            mbPlaceholderText="{{ 'development.approvement-propose.search.approvePerson' | translate }}"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-unit
            [(ngModel)]="params.currentUnit"
            mbLabelText="{{ 'development.proposed-unit.table.currentUnit' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.currentUnit' | translate }}"
            name="currentUnit"
          >
          </mb-select-unit>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.currentTitle"
            name="currentTitle"
            [mbDataSelects]="dataCommon.jobDTOS"
            mbKeyLabel="jobName"
            mbKeyValue="jobId"
            mbLabelText="{{ 'development.proposed-unit.table.currentTitle' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.currentTitle' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-unit
            [(ngModel)]="params.proposeUnit"
            mbLabelText="{{ 'development.proposed-unit.table.proposeUnit' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.proposeUnit' | translate }}"
            name="proposeUnit"
          >
          </mb-select-unit>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.proposeTitle"
            name="proposeTitle"
            [mbDataSelects]="dataCommon.jobDTOS"
            mbKeyLabel="jobName"
            mbKeyValue="jobId"
            mbLabelText="{{ 'development.proposed-unit.table.proposeTitle' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.proposeTitle' | translate }}"
          >
          </mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.conditionViolation"
            [mbDataSelects]="dataCommon.conditionViolationList"
            name="conditionViolation"
            mbKeyLabel="name"
            mbKeyValue="code"
            mbLabelText="{{ 'development.proposed-unit.table.resultCheckCondition' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.resultCheckCondition' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <span class="card-header__rangeDateTitle">{{ 'development.proposed-unit.table.dateOfPTNL' | translate }}</span>
          <nz-range-picker
            class="card-header__rangeDate"
            name=""
            nzFormat="dd/MM/yyyy"
            [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
            [(ngModel)]="params.rangePTNLDate"
            class="card-header__rangeDate"
            name="rangePTNLDate"
            nzFormat="dd/MM/yyyy"
          ></nz-range-picker>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.interviewStatus"
            [mbDataSelects]="dataCommon.interviewStatus"
            name="interviewStatus"
            mbKeyLabel="name"
            mbKeyValue="code"
            mbLabelText="{{ 'development.proposed-unit.table.interviewCondition' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.interviewCondition' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [(ngModel)]="params.consultationStatus"
            [mbDataSelects]="dataCommon.consultationStatus"
            name="consultationStatus"
            mbKeyLabel="name"
            mbKeyValue="code"
            mbLabelText="{{ 'development.proposed-unit.table.consultationCondition' | translate }}"
            mbPlaceholder="{{ 'development.proposed-unit.table.consultationCondition' | translate }}"
          ></mb-select>
        </div>
      </div>
    </div>
  </form>
  <div nz-row [nzGutter]="12" class="card-header__btnGroup">
    <div nz-col nzLg="9"></div>
    <div nz-col nzLg="6">
      <mb-button
        mbButtonAvailableStyle="DEFAULT"
        mbButtonSize="LARGE"
        mbButtonText="{{ 'development.formLD.button.search' | translate }}"
        (click)="search(1)"
      >
      </mb-button>
      <mb-button
        mbButtonAvailableStyle="BORDER"
        mbButtonSize="VERY_LARGE"
        (click)="expandSearch()"
      >
        <span>
          <em nz-icon [nzType]="iconStatus"></em>
        </span>
      </mb-button>
      <mb-button
        mbButtonAvailableStyle="BORDER"
        [disabled]="isLoading"
        mbButtonSize="LARGE"
        (click)="exportExcel()"
      >
        <img class="excelIcon" src="assets/images/icon/excel.svg" alt="" />
      </mb-button>
    </div>
    <div nz-col nzLg="9"></div>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table
    (changePageNum)="search($event)"
    [tableConfig]="tableConfig"
    [tableData]="dataTable"
    [heightTable]="heightTable"
    (onDblClickNode)="detail($event)"
  >
  </mb-table>
</mb-table-wrap>

<ng-template #checkboxHeader>
  <div class="text-center" nz-checkbox [nzChecked]="checked" (nzCheckedChange)="onAllChecked($event)"></div>
</ng-template>

<ng-template #checkbox let-indexFix = 'indexFix'>
  <label
    nz-checkbox
    [nzChecked]="quantityMap.has(indexFix)"
    (nzCheckedChange)="onItemChecked2(indexFix, $event)"
    *ngIf="showCheckBox(indexFix)"
  ></label>
</ng-template>

<ng-template #checkPropose let-indexFix="indexFix">
  <span>{{ checkProposeCode(indexFix) }}</span>
</ng-template>

<ng-template #interView let-interviewStatus = 'interviewStatus'>
  <nz-tag
    [nzColor]="displayStatus(interviewStatus)"
    class="data-table__statusDisplay"
    *ngIf="interviewStatus"
  >
    {{ interviewStatus || '' }}
  </nz-tag>
</ng-template>

<ng-template #salary let-salaryStatus = 'salaryStatus'>
  <nz-tag
    [nzColor]="displayStatus(salaryStatus)"
    class="data-table__statusDisplay"
    *ngIf="salaryStatus"
  >
    {{ salaryStatus || '' }}
  </nz-tag>
</ng-template>

<ng-template #consultation let-consultationStatus = 'consultationStatus'>
  <nz-tag
    [nzColor]="displayStatus(consultationStatus)"
    class="data-table__statusDisplay"
    *ngIf="consultationStatus"
  >
    {{ consultationStatus || '' }}
  </nz-tag>
</ng-template>

<ng-template #statusDisplayView let-statusDisplay = 'statusDisplay'>
  <nz-tag
    [nzColor]="displayStatus(statusDisplay)"
    class="data-table__statusDisplay"
    *ngIf="statusDisplay"
  >
    {{ statusDisplay || '' }}
  </nz-tag>
</ng-template>

<ng-template #sentDateView let-sentDate = 'sentDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="sentDate"></em>
  <span class="sentDate">{{ sentDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template #ptnlSendApproveView let-ptnlSendApprove = 'ptnlSendApprove'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="ptnlSendApprove"></em>
  <span class="sentDate">{{ ptnlSendApprove | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template #statusPublishDisplayView let-statusPublishDisplay = 'statusPublishDisplay'>
  <nz-tag
    [nzColor]="displayStatus(statusPublishDisplay)"
    class="data-table__statusDisplay"
    *ngIf="statusPublishDisplay"
  >
    {{ statusPublishDisplay || '' }}
  </nz-tag>
</ng-template>
